Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -3576,29 +3573,23 @@
 	 * @return	string		Item string returned again, possibly with the original value added to.
 	 * @see getSingleField(), registerDefaultLanguageData()
 	 */
-	function renderVDEFDiff($vArray,$vDEFkey)	{
+	function renderVDEFDiff($vArray, $vDEFkey) {
-		if ($GLOBALS['TYPO3_CONF_VARS']['BE']['flexFormXMLincludeDiffBase'] && isset($vArray[$vDEFkey.'.vDEFbase']) && strcmp($vArray[$vDEFkey.'.vDEFbase'],$vArray['vDEF']))	{
+		if ($GLOBALS['TYPO3_CONF_VARS']['BE']['flexFormXMLincludeDiffBase'] && isset($vArray[$vDEFkey . '.vDEFbase']) && strcmp($vArray[$vDEFkey . '.vDEFbase'], $vArray['vDEF'])) {
 
 				// Create diff-result:
 			$t3lib_diff_Obj = t3lib_div::makeInstance('t3lib_diff');
-			$diffres = $t3lib_diff_Obj->makeDiffDisplay($vArray[$vDEFkey.'.vDEFbase'],$vArray['vDEF']);
+			$diffres = $t3lib_diff_Obj->makeDiffDisplay($vArray[$vDEFkey . '.vDEFbase'], $vArray['vDEF']);
 
-			$item.='<div class="typo3-TCEforms-diffBox">'.
+			$item .= '<div class="typo3-TCEforms-diffBox">' .
-				'<div class="typo3-TCEforms-diffBox-header">'.htmlspecialchars($this->getLL('l_changeInOrig')).':</div>'.
+					 '<div class="typo3-TCEforms-diffBox-header">' . htmlspecialchars($this->getLL('l_changeInOrig')) . ':</div>' .
-				$diffres.
+					 $diffres .
-			'</div>';
+					 '</div>';
 		}
 
 		return $item;
 	}
 
 
-
-
-
-
-
-
 	/************************************************************
 	 *
 	 * Form element helper functions
@@ -3620,34 +3611,34 @@
 	 * @param	string		$uid:	(optional) uid of table record processing for
 	 * @return	string		The form fields for the selection.
 	 */
-	function dbFileIcons($fName,$mode,$allowed,$itemArray,$selector='',$params=array(),$onFocus='',$table='',$field='',$uid='')	{
+	function dbFileIcons($fName, $mode, $allowed, $itemArray, $selector = '', $params = array(), $onFocus = '', $table = '', $field = '', $uid = '') {
 
 
 		$disabled = '';
-		if($this->renderReadonly || $params['readOnly'])  {
+		if ($this->renderReadonly || $params['readOnly']) {
 			$disabled = ' disabled="disabled"';
 		}
 
 			// Sets a flag which means some JavaScript is included on the page to support this element.
-		$this->printNeededJS['dbFileIcons']=1;
+		$this->printNeededJS['dbFileIcons'] = 1;
 
 			// INIT
-		$uidList=array();
+		$uidList = array();
-		$opt=array();
+		$opt = array();
-		$itemArrayC=0;
+		$itemArrayC = 0;
 
 			// Creating <option> elements:
-		if (is_array($itemArray))	{
+		if (is_array($itemArray)) {
-			$itemArrayC=count($itemArray);
+			$itemArrayC = count($itemArray);
-			switch($mode)	{
+			switch ($mode) {
 				case 'db':
 					foreach ($itemArray as $pp) {
-						$pRec = t3lib_BEfunc::getRecordWSOL($pp['table'],$pp['id']);
+						$pRec = t3lib_BEfunc::getRecordWSOL($pp['table'], $pp['id']);
-						if (is_array($pRec))	{
+						if (is_array($pRec)) {
 							$pTitle = t3lib_BEfunc::getRecordTitle($pp['table'], $pRec, FALSE, TRUE);
-							$pUid = $pp['table'].'_'.$pp['id'];
+							$pUid = $pp['table'] . '_' . $pp['id'];
-							$uidList[]=$pUid;
+							$uidList[] = $pUid;
-							$opt[]='<option value="'.htmlspecialchars($pUid).'">'.htmlspecialchars($pTitle).'</option>';
+							$opt[] = '<option value="' . htmlspecialchars($pUid) . '">' . htmlspecialchars($pTitle) . '</option>';
 						}
 					}
 				break;
@@ -3661,26 +3652,26 @@
 				break;
 				case 'folder':
 					foreach ($itemArray as $pp) {
-						$pParts = explode('|',$pp);
+						$pParts = explode('|', $pp);
-						$uidList[]=$pUid=$pTitle = $pParts[0];
+						$uidList[] = $pUid = $pTitle = $pParts[0];
-						$opt[]='<option value="'.htmlspecialchars(rawurldecode($pParts[0])).'">'.htmlspecialchars(rawurldecode($pParts[0])).'</option>';
+						$opt[] = '<option value="' . htmlspecialchars(rawurldecode($pParts[0])) . '">' . htmlspecialchars(rawurldecode($pParts[0])) . '</option>';
 					}
 				break;
 				default:
 					foreach ($itemArray as $pp) {
-						$pParts = explode('|',$pp, 2);
+						$pParts = explode('|', $pp, 2);
-						$uidList[]=$pUid=$pParts[0];
+						$uidList[] = $pUid = $pParts[0];
 						$pTitle = $pParts[1];
-						$opt[]='<option value="'.htmlspecialchars(rawurldecode($pUid)).'">'.htmlspecialchars(rawurldecode($pTitle)).'</option>';
+						$opt[] = '<option value="' . htmlspecialchars(rawurldecode($pUid)) . '">' . htmlspecialchars(rawurldecode($pTitle)) . '</option>';
 					}
 				break;
 			}
 		}
 
 			// Create selector box of the options
-		$sSize = $params['autoSizeMax'] ? t3lib_div::intInRange($itemArrayC+1,t3lib_div::intInRange($params['size'],1),$params['autoSizeMax']) : $params['size'];
+		$sSize = $params['autoSizeMax'] ? t3lib_div::intInRange($itemArrayC + 1, t3lib_div::intInRange($params['size'], 1), $params['autoSizeMax']) : $params['size'];
-		if (!$selector)	{
+		if (!$selector) {
-			$selector = '<select id="' . uniqid('tceforms-multiselect-') . '" ' . ($params['noList'] ? 'style="display: none"' : 'size="'.$sSize.'"'.$this->insertDefStyle('group', 'tceforms-multiselect')).' multiple="multiple" name="'.$fName.'_list" '.$onFocus.$params['style'].$disabled.'>'.implode('',$opt).'</select>';
+			$selector = '<select id="' . uniqid('tceforms-multiselect-') . '" ' . ($params['noList'] ? 'style="display: none"' : 'size="' . $sSize . '"' . $this->insertDefStyle('group', 'tceforms-multiselect')) . ' multiple="multiple" name="' . $fName . '_list" ' . $onFocus . $params['style'] . $disabled . '>' . implode('', $opt) . '</select>';
 		}
 
 
@@ -3689,63 +3680,63 @@
 			'R' => array(),
 		);
 		if (!$params['readOnly'] && !$params['noList']) {
-			if (!$params['noBrowser'])	{
+			if (!$params['noBrowser']) {
 					// check against inline uniqueness
 				$inlineParent = $this->inline->getStructureLevel(-1);
-				if(is_array($inlineParent) && $inlineParent['uid']) {
+				if (is_array($inlineParent) && $inlineParent['uid']) {
 					if ($inlineParent['config']['foreign_table'] == $table && $inlineParent['config']['foreign_unique'] == $field) {
-						$objectPrefix = $this->inline->inlineNames['object'].'['.$table.']';
+						$objectPrefix = $this->inline->inlineNames['object'] . '[' . $table . ']';
-						$aOnClickInline = $objectPrefix.'|inline.checkUniqueElement|inline.setUniqueElement';
+						$aOnClickInline = $objectPrefix . '|inline.checkUniqueElement|inline.setUniqueElement';
-						$rOnClickInline = 'inline.revertUnique(\''.$objectPrefix.'\',null,\''.$uid.'\');';
+						$rOnClickInline = 'inline.revertUnique(\'' . $objectPrefix . '\',null,\'' . $uid . '\');';
 					}
 				}
-				$aOnClick='setFormValueOpenBrowser(\''.$mode.'\',\''.($fName.'|||'.$allowed.'|'.$aOnClickInline).'\'); return false;';
+				$aOnClick = 'setFormValueOpenBrowser(\'' . $mode . '\',\'' . ($fName . '|||' . $allowed . '|' . $aOnClickInline) . '\'); return false;';
-				$icons['R'][]='<a href="#" onclick="'.htmlspecialchars($aOnClick).'">'.
+				$icons['R'][] = '<a href="#" onclick="' . htmlspecialchars($aOnClick) . '">' .
-						t3lib_iconWorks::getSpriteIcon('actions-insert-record', array('title' => htmlspecialchars($this->getLL('l_browse_' . ($mode == 'db' ? 'db' : 'file'))))) .
-				'</a>';
+								t3lib_iconWorks::getSpriteIcon('actions-insert-record', array('title' => htmlspecialchars($this->getLL('l_browse_' . ($mode == 'db' ? 'db' : 'file'))))) .
+								'</a>';
 			}
-			if (!$params['dontShowMoveIcons'])	{
+			if (!$params['dontShowMoveIcons']) {
-				if ($sSize>=5)	{
+				if ($sSize >= 5) {
-					$icons['L'][]='<a href="#" onclick="setFormValueManipulate(\''.$fName.'\',\'Top\'); return false;">'.
+					$icons['L'][] = '<a href="#" onclick="setFormValueManipulate(\'' . $fName . '\',\'Top\'); return false;">' .
-							t3lib_iconWorks::getSpriteIcon('actions-move-to-top', array('title' => htmlspecialchars($this->getLL('l_move_to_top')))) .
-					'</a>';
+									t3lib_iconWorks::getSpriteIcon('actions-move-to-top', array('title' => htmlspecialchars($this->getLL('l_move_to_top')))) .
+									'</a>';
 				}
-				$icons['L'][]='<a href="#" onclick="setFormValueManipulate(\''.$fName.'\',\'Up\'); return false;">'.
+				$icons['L'][] = '<a href="#" onclick="setFormValueManipulate(\'' . $fName . '\',\'Up\'); return false;">' .
-				  t3lib_iconWorks::getSpriteIcon('actions-move-up', array('title' => htmlspecialchars($this->getLL('l_move_up')))) .
-				'</a>';
+								t3lib_iconWorks::getSpriteIcon('actions-move-up', array('title' => htmlspecialchars($this->getLL('l_move_up')))) .
+								'</a>';
-				$icons['L'][]='<a href="#" onclick="setFormValueManipulate(\''.$fName.'\',\'Down\'); return false;">'.
+				$icons['L'][] = '<a href="#" onclick="setFormValueManipulate(\'' . $fName . '\',\'Down\'); return false;">' .
-				  t3lib_iconWorks::getSpriteIcon('actions-move-down', array('title' => htmlspecialchars($this->getLL('l_move_down')))) .
-				'</a>';
+								t3lib_iconWorks::getSpriteIcon('actions-move-down', array('title' => htmlspecialchars($this->getLL('l_move_down')))) .
+								'</a>';
-				if ($sSize>=5)	{
+				if ($sSize >= 5) {
-					$icons['L'][]='<a href="#" onclick="setFormValueManipulate(\''.$fName.'\',\'Bottom\'); return false;">'.
+					$icons['L'][] = '<a href="#" onclick="setFormValueManipulate(\'' . $fName . '\',\'Bottom\'); return false;">' .
-					  t3lib_iconWorks::getSpriteIcon('actions-move-to-bottom', array('title' => htmlspecialchars($this->getLL('l_move_to_bottom')))) .
-					'</a>';
+									t3lib_iconWorks::getSpriteIcon('actions-move-to-bottom', array('title' => htmlspecialchars($this->getLL('l_move_to_bottom')))) .
+									'</a>';
 				}
 			}
 
-			$clipElements = $this->getClipboardElements($allowed,$mode);
+			$clipElements = $this->getClipboardElements($allowed, $mode);
-			if (count($clipElements))	{
+			if (count($clipElements)) {
 				$aOnClick = '';
-				foreach($clipElements as $elValue)	{
+				foreach ($clipElements as $elValue) {
 					if ($mode == 'db') {
-						list($itemTable,$itemUid) = explode('|', $elValue);
+						list($itemTable, $itemUid) = explode('|', $elValue);
-						$itemTitle = $GLOBALS['LANG']->JScharCode(t3lib_BEfunc::getRecordTitle($itemTable, t3lib_BEfunc::getRecordWSOL($itemTable,$itemUid)));
+						$itemTitle = $GLOBALS['LANG']->JScharCode(t3lib_BEfunc::getRecordTitle($itemTable, t3lib_BEfunc::getRecordWSOL($itemTable, $itemUid)));
-						$elValue = $itemTable.'_'.$itemUid;
+						$elValue = $itemTable . '_' . $itemUid;
 					} else {
 							// 'file', 'file_reference' and 'folder' mode
 						$itemTitle = 'unescape(\'' . rawurlencode(basename($elValue)) . '\')';
 					}
-					$aOnClick.= 'setFormValueFromBrowseWin(\''.$fName.'\',unescape(\''.rawurlencode(str_replace('%20',' ',$elValue)).'\'),'.$itemTitle.');';
+					$aOnClick .= 'setFormValueFromBrowseWin(\'' . $fName . '\',unescape(\'' . rawurlencode(str_replace('%20', ' ', $elValue)) . '\'),' . $itemTitle . ');';
 				}
-				$aOnClick.= 'return false;';
+				$aOnClick .= 'return false;';
-				$icons['R'][]='<a href="#" onclick="'.htmlspecialchars($aOnClick).'">'.
+				$icons['R'][] = '<a href="#" onclick="' . htmlspecialchars($aOnClick) . '">' .
-						t3lib_iconWorks::getSpriteIcon('actions-document-paste-into', array('title' => htmlspecialchars(sprintf($this->getLL('l_clipInsert_' . ($mode == 'db' ? 'db' : 'file')), count($clipElements))))) .
-				'</a>';
+								t3lib_iconWorks::getSpriteIcon('actions-document-paste-into', array('title' => htmlspecialchars(sprintf($this->getLL('l_clipInsert_' . ($mode == 'db' ? 'db' : 'file')), count($clipElements))))) .
+								'</a>';
 			}
-			$rOnClick = $rOnClickInline.'setFormValueManipulate(\''.$fName.'\',\'Remove\'); return false';
+			$rOnClick = $rOnClickInline . 'setFormValueManipulate(\'' . $fName . '\',\'Remove\'); return false';
-			$icons['L'][]='<a href="#" onclick="'.htmlspecialchars($rOnClick).'">'.
+			$icons['L'][] = '<a href="#" onclick="' . htmlspecialchars($rOnClick) . '">' .
-			  t3lib_iconWorks::getSpriteIcon('actions-selection-delete', array('title' => htmlspecialchars($this->getLL('l_remove_selected')))) .
-			'</a>';
+							t3lib_iconWorks::getSpriteIcon('actions-selection-delete', array('title' => htmlspecialchars($this->getLL('l_remove_selected')))) .
+							'</a>';
 		}
 		$imagesOnly = FALSE;
 		if ($params['thumbnails'] && $params['info']) {
@@ -3763,39 +3754,39 @@
 		}
 		if ($imagesOnly) {
 			$rightbox = '';
-			$thumbnails = '<div class="imagethumbs">'. $this->wrapLabels($params['thumbnails']) .'</div>';
+			$thumbnails = '<div class="imagethumbs">' . $this->wrapLabels($params['thumbnails']) . '</div>';
 		} else {
 			$rightbox = $this->wrapLabels($params['thumbnails']);
 			$thumbnails = '';
 		}
 
-		$str='<table border="0" cellpadding="0" cellspacing="0" width="1">
+		$str = '<table border="0" cellpadding="0" cellspacing="0" width="1">
-			'.($params['headers']?'
+			' . ($params['headers'] ? '
 				<tr>
-					<td>'.$this->wrapLabels($params['headers']['selector']).'</td>
+					<td>' . $this->wrapLabels($params['headers']['selector']) . '</td>
 					<td></td>
 					<td></td>
-					<td>'.($params['thumbnails'] ? $this->wrapLabels($params['headers']['items']) : '').'</td>
+					<td>' . ($params['thumbnails'] ? $this->wrapLabels($params['headers']['items']) : '') . '</td>
-				</tr>':'').
+				</tr>' : '') .
-			'
+			   '
 			<tr>
-				<td valign="top">'.
+				<td valign="top">' .
-					$selector.
+			   $selector .
-					$thumbnails.
+			   $thumbnails .
-					($params['noList'] ? '' : '<span class="filetypes">'. $this->wrapLabels($params['info'])) .
+			   ($params['noList'] ? '' : '<span class="filetypes">' . $this->wrapLabels($params['info'])) .
-				'</span></td>
+			   '</span></td>
-				<td valign="top" class="icons">'.
+				<td valign="top" class="icons">' .
-					implode('<br />',$icons['L']).'</td>
+			   implode('<br />', $icons['L']) . '</td>
-				<td valign="top" class="icons">'.
+				<td valign="top" class="icons">' .
-					implode('<br />',$icons['R']).'</td>
+			   implode('<br />', $icons['R']) . '</td>
-				<td valign="top" class="thumbnails">'.
+				<td valign="top" class="thumbnails">' .
-					$rightbox.
+			   $rightbox .
-				'</td>
+			   '</td>
 			</tr>
 		</table>';
 
 			// Creating the hidden field which contains the actual value as a comma list.
-		$str.='<input type="hidden" name="'.$fName.'" value="'.htmlspecialchars(implode(',',$uidList)).'" />';
+		$str .= '<input type="hidden" name="' . $fName . '" value="' . htmlspecialchars(implode(',', $uidList)) . '" />';
 
 		return $str;
 	}
@@ -3807,37 +3798,37 @@
 	 * @param	string		Mode of relations: "db" or "file"
 	 * @return	array		Array of elements in values (keys are insignificant), if none found, empty array.
 	 */
-	function getClipboardElements($allowed,$mode)	{
+	function getClipboardElements($allowed, $mode) {
 
 		$output = array();
 
-		if (is_object($this->clipObj))	{
+		if (is_object($this->clipObj)) {
-			switch($mode)	{
+			switch ($mode) {
 				case 'file_reference':
 				case 'file':
 					$elFromTable = $this->clipObj->elFromTable('_FILE');
 					$allowedExts = t3lib_div::trimExplode(',', $allowed, 1);
 
-					if ($allowedExts)	{	// If there are a set of allowed extensions, filter the content:
+					if ($allowedExts) { // If there are a set of allowed extensions, filter the content:
-						foreach($elFromTable as $elValue)	{
+						foreach ($elFromTable as $elValue) {
 							$pI = pathinfo($elValue);
 							$ext = strtolower($pI['extension']);
-							if (in_array($ext, $allowedExts))	{
+							if (in_array($ext, $allowedExts)) {
 								$output[] = $elValue;
 							}
 						}
-					} else {	// If all is allowed, insert all: (This does NOT respect any disallowed extensions, but those will be filtered away by the backend TCEmain)
+					} else { // If all is allowed, insert all: (This does NOT respect any disallowed extensions, but those will be filtered away by the backend TCEmain)
 						$output = $elFromTable;
 					}
 				break;
 				case 'db':
 					$allowedTables = t3lib_div::trimExplode(',', $allowed, 1);
-					if (!strcmp(trim($allowedTables[0]),'*'))	{	// All tables allowed for relation:
+					if (!strcmp(trim($allowedTables[0]), '*')) { // All tables allowed for relation:
 						$output = $this->clipObj->elFromTable('');
-					} else {	// Only some tables, filter them:
+					} else { // Only some tables, filter them:
-						foreach($allowedTables as $tablename)	{
+						foreach ($allowedTables as $tablename) {
 							$elFromTable = $this->clipObj->elFromTable($tablename);
-							$output = array_merge($output,$elFromTable);
+							$output = array_merge($output, $elFromTable);
 						}
 					}
 					$output = array_keys($output);
@@ -3857,10 +3848,10 @@
 	 * @param	integer		The uid of the record OR if file, just blank value.
 	 * @return	string		HTML
 	 */
-	function getClickMenu($str,$table,$uid='')	{
+	function getClickMenu($str, $table, $uid = '') {
-		if ($this->enableClickMenu)	{
+		if ($this->enableClickMenu) {
-			$onClick = $GLOBALS['SOBE']->doc->wrapClickMenuOnIcon($str,$table,$uid,1,'','+copy,info,edit,view', TRUE);
+			$onClick = $GLOBALS['SOBE']->doc->wrapClickMenuOnIcon($str, $table, $uid, 1, '', '+copy,info,edit,view', TRUE);
-			return '<a href="#" onclick="'.htmlspecialchars($onClick).'">'.$str.'</a>';
+			return '<a href="#" onclick="' . htmlspecialchars($onClick) . '">' . $str . '</a>';
 		}
 	}
 
@@ -3878,58 +3869,58 @@
 	 * @param	boolean		Whether the RTE could have been loaded.
 	 * @return	string		The new item value.
 	 */
-	function renderWizards($itemKinds,$wizConf,$table,$row,$field,&$PA,$itemName,$specConf,$RTE=0)	{
+	function renderWizards($itemKinds, $wizConf, $table, $row, $field, &$PA, $itemName, $specConf, $RTE = 0) {
 
 			// Init:
 		$fieldChangeFunc = $PA['fieldChangeFunc'];
 		$item = $itemKinds[0];
 		$outArr = array();
 		$colorBoxLinks = array();
-		$fName = '['.$table.']['.$row['uid'].']['.$field.']';
+		$fName = '[' . $table . '][' . $row['uid'] . '][' . $field . ']';
-		$md5ID = 'ID'.t3lib_div::shortmd5($itemName);
+		$md5ID = 'ID' . t3lib_div::shortmd5($itemName);
 		$listFlag = '_list';
 
-		$prefixOfFormElName = 'data['.$table.']['.$row['uid'].']['.$field.']';
+		$prefixOfFormElName = 'data[' . $table . '][' . $row['uid'] . '][' . $field . ']';
-		if (t3lib_div::isFirstPartOfStr($PA['itemFormElName'],$prefixOfFormElName))	{
+		if (t3lib_div::isFirstPartOfStr($PA['itemFormElName'], $prefixOfFormElName)) {
-			$flexFormPath = str_replace('][','/',substr($PA['itemFormElName'],strlen($prefixOfFormElName)+1,-1));
+			$flexFormPath = str_replace('][', '/', substr($PA['itemFormElName'], strlen($prefixOfFormElName) + 1, -1));
 		}
 
 			// Manipulate the field name (to be the true form field name) and remove a suffix-value if the item is a selector box with renderMode "singlebox":
-		if ($PA['fieldConf']['config']['form_type']=='select')	{
+		if ($PA['fieldConf']['config']['form_type'] == 'select') {
-			if ($PA['fieldConf']['config']['maxitems']<=1)	{	// Single select situation:
+			if ($PA['fieldConf']['config']['maxitems'] <= 1) { // Single select situation:
 				$listFlag = '';
-			} elseif ($PA['fieldConf']['config']['renderMode']=='singlebox')	{
+			} elseif ($PA['fieldConf']['config']['renderMode'] == 'singlebox') {
-				$itemName.='[]';
+				$itemName .= '[]';
 				$listFlag = '';
 			}
 		}
 
 			// traverse wizards:
-		if (is_array($wizConf) && !$this->disableWizards)	{
+		if (is_array($wizConf) && !$this->disableWizards) {
 			$parametersOfWizards =& $specConf['wizards']['parameters'];
 
-			foreach($wizConf as $wid => $wConf)	{
+			foreach ($wizConf as $wid => $wConf) {
-				if (substr($wid,0,1)!='_'
+				if (substr($wid, 0, 1) != '_'
-						&& (!$wConf['enableByTypeConfig'] || is_array($parametersOfWizards) && in_array($wid, $parametersOfWizards))
-						&& ($RTE || !$wConf['RTEonly'])
+					&& (!$wConf['enableByTypeConfig'] || is_array($parametersOfWizards) && in_array($wid, $parametersOfWizards))
+					&& ($RTE || !$wConf['RTEonly'])
-					)	{
+				) {
 
 						// Title / icon:
 					$iTitle = htmlspecialchars($this->sL($wConf['title']));
-					if ($wConf['icon'])	{
+					if ($wConf['icon']) {
 						$iDat = $this->getIcon($wConf['icon']);
-						$icon = '<img src="'.$iDat[0].'" '.$iDat[1][3].' border="0"'.t3lib_BEfunc::titleAltAttrib($iTitle).' />';
+						$icon = '<img src="' . $iDat[0] . '" ' . $iDat[1][3] . ' border="0"' . t3lib_BEfunc::titleAltAttrib($iTitle) . ' />';
 					} else {
 						$icon = $iTitle;
 					}
 
 						//
-					switch((string)$wConf['type'])	{
+					switch ((string) $wConf['type']) {
 						case 'userFunc':
 						case 'script':
 						case 'popup':
 						case 'colorbox':
-							if (!$wConf['notNewRecords'] || t3lib_div::testInt($row['uid']))	{
+							if (!$wConf['notNewRecords'] || t3lib_div::testInt($row['uid'])) {
 
 									// Setting &P array contents:
 								$params = array();
@@ -3944,25 +3935,29 @@
 								$params['returnUrl'] = $this->thisReturnUrl();
 
 									// Resolving script filename and setting URL.
-								if (!strcmp(substr($wConf['script'],0,4), 'EXT:')) {
+								if (!strcmp(substr($wConf['script'], 0, 4), 'EXT:')) {
 									$wScript = t3lib_div::getFileAbsFileName($wConf['script']);
-									if ($wScript)	{
+									if ($wScript) {
-										$wScript = '../'.substr($wScript,strlen(PATH_site));
+										$wScript = '../' . substr($wScript, strlen(PATH_site));
-									} else break;
-								} else {
+									} else {
+										break;
+									}
+								} else {
 									$wScript = $wConf['script'];
 								}
-								$url = $this->backPath.$wScript.(strstr($wScript,'?') ? '' : '?');
+								$url = $this->backPath . $wScript . (strstr($wScript, '?') ? '' : '?');
 
 									// If there is no script and the type is "colorbox", break right away:
-								if ((string)$wConf['type']=='colorbox' && !$wConf['script'])	{ break; }
+								if ((string) $wConf['type'] == 'colorbox' && !$wConf['script']) {
+									break;
+								}
 
 									// If "script" type, create the links around the icon:
-								if ((string)$wConf['type']=='script')	{
+								if ((string) $wConf['type'] == 'script') {
-									$aUrl = $url.t3lib_div::implodeArrayForUrl('',array('P'=>$params));
+									$aUrl = $url . t3lib_div::implodeArrayForUrl('', array('P' => $params));
-									$outArr[]='<a href="'.htmlspecialchars($aUrl).'" onclick="'.$this->blur().'return !TBE_EDITOR.isFormChanged();">'.
+									$outArr[] = '<a href="' . htmlspecialchars($aUrl) . '" onclick="' . $this->blur() . 'return !TBE_EDITOR.isFormChanged();">' .
-										$icon.
+												$icon .
-										'</a>';
+												'</a>';
 								} else {
 
 										// ... else types "popup", "colorbox" and "userFunc" will need additional parameters:
@@ -3971,38 +3966,38 @@
 									$params['fieldChangeFunc'] = $fieldChangeFunc;
 									$params['fieldChangeFuncHash'] = t3lib_div::hmac(serialize($fieldChangeFunc));
 
-									switch((string)$wConf['type'])	{
+									switch ((string) $wConf['type']) {
 										case 'popup':
 										case 'colorbox':
 												// Current form value is passed as P[currentValue]!
-											$addJS = $wConf['popup_onlyOpenIfSelected']?'if (!TBE_EDITOR.curSelected(\''.$itemName.$listFlag.'\')){alert('.$GLOBALS['LANG']->JScharCode($this->getLL('m_noSelItemForEdit')).'); return false;}':'';
+											$addJS = $wConf['popup_onlyOpenIfSelected'] ? 'if (!TBE_EDITOR.curSelected(\'' . $itemName . $listFlag . '\')){alert(' . $GLOBALS['LANG']->JScharCode($this->getLL('m_noSelItemForEdit')) . '); return false;}' : '';
-											$curSelectedValues='+\'&P[currentSelectedValues]=\'+TBE_EDITOR.curSelected(\''.$itemName.$listFlag.'\')';
+											$curSelectedValues = '+\'&P[currentSelectedValues]=\'+TBE_EDITOR.curSelected(\'' . $itemName . $listFlag . '\')';
-											$aOnClick=	$this->blur().
+											$aOnClick = $this->blur() .
-														$addJS.
+														$addJS .
-														'vHWin=window.open(\''.$url.t3lib_div::implodeArrayForUrl('',array('P'=>$params)).'\'+\'&P[currentValue]=\'+TBE_EDITOR.rawurlencode('.$this->elName($itemName).'.value,200)'.$curSelectedValues.',\'popUp'.$md5ID.'\',\''.$wConf['JSopenParams'].'\');'.
+														'vHWin=window.open(\'' . $url . t3lib_div::implodeArrayForUrl('', array('P' => $params)) . '\'+\'&P[currentValue]=\'+TBE_EDITOR.rawurlencode(' . $this->elName($itemName) . '.value,200)' . $curSelectedValues . ',\'popUp' . $md5ID . '\',\'' . $wConf['JSopenParams'] . '\');' .
 														'vHWin.focus();return false;';
 												// Setting "colorBoxLinks" - user LATER to wrap around the color box as well:
-											$colorBoxLinks = Array('<a href="#" onclick="'.htmlspecialchars($aOnClick).'">','</a>');
+											$colorBoxLinks = Array('<a href="#" onclick="' . htmlspecialchars($aOnClick) . '">', '</a>');
-											if ((string)$wConf['type']=='popup')	{
+											if ((string) $wConf['type'] == 'popup') {
-												$outArr[] = $colorBoxLinks[0].$icon.$colorBoxLinks[1];
+												$outArr[] = $colorBoxLinks[0] . $icon . $colorBoxLinks[1];
 											}
 										break;
 										case 'userFunc':
-											$params['item'] = &$item;	// Reference set!
+											$params['item'] = &$item; // Reference set!
 											$params['icon'] = $icon;
 											$params['iTitle'] = $iTitle;
 											$params['wConf'] = $wConf;
 											$params['row'] = $row;
-											$outArr[] = t3lib_div::callUserFunction($wConf['userFunc'],$params,$this);
+											$outArr[] = t3lib_div::callUserFunction($wConf['userFunc'], $params, $this);
 										break;
 									}
 								}
 
 									// Hide the real form element?
-								if (is_array($wConf['hideParent']) || $wConf['hideParent'])	{
+								if (is_array($wConf['hideParent']) || $wConf['hideParent']) {
-									$item = $itemKinds[1];	// Setting the item to a hidden-field.
+									$item = $itemKinds[1]; // Setting the item to a hidden-field.
-									if (is_array($wConf['hideParent']))	{
+									if (is_array($wConf['hideParent'])) {
-										$item.= $this->getSingleField_typeNone_render($wConf['hideParent'], $PA['itemFormElValue']);
+										$item .= $this->getSingleField_typeNone_render($wConf['hideParent'], $PA['itemFormElValue']);
 									}
 								}
 							}
@@ -4010,27 +4005,27 @@
 						case 'select':
 							$fieldValue = array('config' => $wConf);
 							$TSconfig = $this->setTSconfig($table, $row);
-							$TSconfig[$field] = $TSconfig[$field]['wizards.'][$wid.'.'];
+							$TSconfig[$field] = $TSconfig[$field]['wizards.'][$wid . '.'];
 							$selItems = $this->addSelectOptionsToItemArray($this->initItemArray($fieldValue), $fieldValue, $TSconfig, $field);
 
 							$opt = array();
-							$opt[] = '<option>'.$iTitle.'</option>';
+							$opt[] = '<option>' . $iTitle . '</option>';
-							foreach($selItems as $p)	{
+							foreach ($selItems as $p) {
-								$opt[] = '<option value="'.htmlspecialchars($p[1]).'">'.htmlspecialchars($p[0]).'</option>';
+								$opt[] = '<option value="' . htmlspecialchars($p[1]) . '">' . htmlspecialchars($p[0]) . '</option>';
 							}
-							if ($wConf['mode']=='append')	{
+							if ($wConf['mode'] == 'append') {
-								$assignValue = $this->elName($itemName).'.value=\'\'+this.options[this.selectedIndex].value+'.$this->elName($itemName).'.value';
+								$assignValue = $this->elName($itemName) . '.value=\'\'+this.options[this.selectedIndex].value+' . $this->elName($itemName) . '.value';
-							} elseif ($wConf['mode']=='prepend')	{
+							} elseif ($wConf['mode'] == 'prepend') {
-								$assignValue = $this->elName($itemName).'.value+=\'\'+this.options[this.selectedIndex].value';
+								$assignValue = $this->elName($itemName) . '.value+=\'\'+this.options[this.selectedIndex].value';
 							} else {
-								$assignValue = $this->elName($itemName).'.value=this.options[this.selectedIndex].value';
+								$assignValue = $this->elName($itemName) . '.value=this.options[this.selectedIndex].value';
 							}
-							$sOnChange = $assignValue.';this.blur();this.selectedIndex=0;'.implode('',$fieldChangeFunc);
+							$sOnChange = $assignValue . ';this.blur();this.selectedIndex=0;' . implode('', $fieldChangeFunc);
-							$outArr[] = '<select id="' . uniqid('tceforms-select-') . '" class="tceforms-select tceforms-wizardselect" name="_WIZARD'.$fName.'" onchange="'.htmlspecialchars($sOnChange).'">'.implode('',$opt).'</select>';
+							$outArr[] = '<select id="' . uniqid('tceforms-select-') . '" class="tceforms-select tceforms-wizardselect" name="_WIZARD' . $fName . '" onchange="' . htmlspecialchars($sOnChange) . '">' . implode('', $opt) . '</select>';
 						break;
 						case 'suggest':
 							if (isset($PA['fieldTSConfig']['suggest.']['default.']['hide']) &&
-								((bool)$PA['fieldTSConfig']['suggest.']['default.']['hide'] == TRUE)) {
+								((bool) $PA['fieldTSConfig']['suggest.']['default.']['hide'] == TRUE)) {
 								break;
 							}
 							$outArr[] = $this->suggest->renderSuggestSelector($PA['itemFormElName'], $table, $field, $row, $PA);
@@ -4038,20 +4033,20 @@
 					}
 
 						// Color wizard colorbox:
-					if ((string)$wConf['type']=='colorbox')	{
+					if ((string) $wConf['type'] == 'colorbox') {
-						$dim = t3lib_div::intExplode('x',$wConf['dim']);
+						$dim = t3lib_div::intExplode('x', $wConf['dim']);
-						$dX = t3lib_div::intInRange($dim[0],1,200,20);
+						$dX = t3lib_div::intInRange($dim[0], 1, 200, 20);
-						$dY = t3lib_div::intInRange($dim[1],1,200,20);
+						$dY = t3lib_div::intInRange($dim[1], 1, 200, 20);
-						$color = $PA['itemFormElValue'] ? ' bgcolor="'.htmlspecialchars($PA['itemFormElValue']).'"' : '';
+						$color = $PA['itemFormElValue'] ? ' bgcolor="' . htmlspecialchars($PA['itemFormElValue']) . '"' : '';
-						$outArr[] = '<table border="0" cellpadding="0" cellspacing="0" id="'.$md5ID.'"'.$color.' style="'.htmlspecialchars($wConf['tableStyle']).'">
+						$outArr[] = '<table border="0" cellpadding="0" cellspacing="0" id="' . $md5ID . '"' . $color . ' style="' . htmlspecialchars($wConf['tableStyle']) . '">
 									<tr>
-										<td>'.
+										<td>' .
-											$colorBoxLinks[0].'<img '.
+									$colorBoxLinks[0] . '<img ' .
-											t3lib_iconWorks::skinImg($this->backPath,
+									t3lib_iconWorks::skinImg($this->backPath,
-																(strlen(trim($color))==0 || strcmp(trim($color),'0')==0) ? 'gfx/colorpicker_empty.png' : 'gfx/colorpicker.png',
+															 (strlen(trim($color)) == 0 || strcmp(trim($color), '0') == 0) ? 'gfx/colorpicker_empty.png' : 'gfx/colorpicker.png',
-																'width="'.$dX.'" height="'.$dY.'"'.t3lib_BEfunc::titleAltAttrib(trim($iTitle.' '.$PA['itemFormElValue'])).' border="0"').
+															 'width="' . $dX . '" height="' . $dY . '"' . t3lib_BEfunc::titleAltAttrib(trim($iTitle . ' ' . $PA['itemFormElValue'])) . ' border="0"') .
-											'>'.$colorBoxLinks[1].
+									'>' . $colorBoxLinks[1] .
-											'</td>
+									'</td>
 									</tr>
 								</table>';
 					}
